package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.SysSourceTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;


@Repository
public interface SysSourceRepository extends BaseRepository<SysSourceTable> {

    List<SysSourceTable> getAllByIdIsNotNullOrderByIdDesc();
    @Lock(LockModeType.PESSIMISTIC_WRITE)
    SysSourceTable findFirstById(Long id);

    SysSourceTable getFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<SysSourceTable> findAllByIdIn(List<Long> ids);

    List<SysSourceTable> getAllByIdNotIn(List<Long> ids);

}
